#!/usr/bin/make -f

export PYBUILT_NAME = josepy

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=$(CURDIR)/src \
		http_proxy='127.0.0.1:9' \
		https_proxy='127.0.0.1:9' \
		sphinx-build -N -bhtml docs/ build/html

override_dh_auto_install:
	dh_auto_install
	find $(CURDIR)/debian/ -type d -name testdata -print0 | xargs -0 rm -rf '{}' \;
	rm -f $(CURDIR)/debian/python*-josepy/usr/bin/jws

override_dh_installdocs:
	dh_installdocs --doc-main-package=python-josepy-doc -p python-josepy-doc
	dh_installdocs -p python3-josepy
